security/pam-passwdqc - The NetBSD Packages Collection

Password strength checker

pam_passwdqc is a simple password strength checking module for
PAM-aware password changing programs, such as passwd(1).  In addition
to checking regular passwords, it offers support for passphrases and
can provide randomly generated ones.  All features are optional and
can be (re-)configured without rebuilding.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpam-passwdqc-1.1.4.tgz
NetBSD 8.0earmv7hfpam-passwdqc-1.1.4.tgz
NetBSD 8.0earmv7hfpam-passwdqc-1.1.4.tgz
NetBSD 8.0i386pam-passwdqc-1.1.4.tgz
NetBSD 8.0i386pam-passwdqc-1.1.4.tgz
NetBSD 8.0powerpcpam-passwdqc-1.1.4.tgz
NetBSD 8.0powerpcpam-passwdqc-1.1.4.tgz
NetBSD 8.0powerpcpam-passwdqc-1.1.4.tgz
NetBSD 8.0powerpcpam-passwdqc-1.1.4.tgz
NetBSD 8.0x86_64pam-passwdqc-1.1.4.tgz
NetBSD 8.0x86_64pam-passwdqc-1.1.4.tgz
NetBSD 9.0aarch64pam-passwdqc-1.1.4.tgz
NetBSD 9.0aarch64pam-passwdqc-1.1.4.tgz
NetBSD 9.0aarch64pam-passwdqc-1.1.4.tgz
NetBSD 9.0alphapam-passwdqc-1.1.4.tgz
NetBSD 9.0alphapam-passwdqc-1.1.4.tgz
NetBSD 9.0alphapam-passwdqc-1.1.4.tgz
NetBSD 9.0earmpam-passwdqc-1.1.4.tgz
NetBSD 9.0earmpam-passwdqc-1.1.4.tgz
NetBSD 9.0earmpam-passwdqc-1.1.4.tgz
NetBSD 9.0earmv6hfpam-passwdqc-1.1.4.tgz
NetBSD 9.0earmv6hfpam-passwdqc-1.1.4.tgz
NetBSD 9.0earmv6hfpam-passwdqc-1.1.4.tgz
NetBSD 9.0earmv7hfpam-passwdqc-1.1.4.tgz
NetBSD 9.0earmv7hfpam-passwdqc-1.1.4.tgz
NetBSD 9.0earmv7hfpam-passwdqc-1.1.4.tgz
NetBSD 9.0earmv7hfpam-passwdqc-1.1.4.tgz
NetBSD 9.0i386pam-passwdqc-1.1.4.tgz
NetBSD 9.0i386pam-passwdqc-1.1.4.tgz
NetBSD 9.0i386pam-passwdqc-1.1.4.tgz
NetBSD 9.0m68kpam-passwdqc-1.1.4.tgz
NetBSD 9.0m68kpam-passwdqc-1.1.4.tgz
NetBSD 9.0mips64ebpam-passwdqc-1.1.4.tgz
NetBSD 9.0mips64ebpam-passwdqc-1.1.4.tgz
NetBSD 9.0mips64ebpam-passwdqc-1.1.4.tgz
NetBSD 9.0mips64ebpam-passwdqc-1.1.4.tgz
NetBSD 9.0mips64ebpam-passwdqc-1.1.4.tgz
NetBSD 9.0powerpcpam-passwdqc-1.1.4.tgz
NetBSD 9.0powerpcpam-passwdqc-1.1.4.tgz
NetBSD 9.0powerpcpam-passwdqc-1.1.4.tgz
NetBSD 9.0powerpcpam-passwdqc-1.1.4.tgz
NetBSD 9.0sparc64pam-passwdqc-1.1.4.tgz
NetBSD 9.0sparc64pam-passwdqc-1.1.4.tgz
NetBSD 9.0sparc64pam-passwdqc-1.1.4.tgz
NetBSD 9.0sparcpam-passwdqc-1.1.4.tgz
NetBSD 9.0sparcpam-passwdqc-1.1.4.tgz
NetBSD 9.0sparcpam-passwdqc-1.1.4.tgz
NetBSD 9.0sparcpam-passwdqc-1.1.4.tgz
NetBSD 9.0x86_64pam-passwdqc-1.1.4.tgz
NetBSD 9.0x86_64pam-passwdqc-1.1.4.tgz
NetBSD 9.0x86_64pam-passwdqc-1.1.4.tgz
NetBSD 9.0x86_64pam-passwdqc-1.1.4.tgz
NetBSD 9.0x86_64pam-passwdqc-1.1.4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.